Returns the parent node of the current node

- « tidyNode::__construct

- tidyNode::hasChildren »

- PHP Manual
- tidyNode
- Returns the parent node of the current node

# tidyNode::getParent

(PHP 5 >= 5.2.2, PHP 7, PHP 8)

tidyNode::getParent — Returns the parent node of the current node

### Description

public tidyNode::getParent(): ?tidyNode

Returns the parent node of the current node.

### Parameters

This function has no parameters.

### Return Values

Returns a tidyNode if the node has a parent, or `null` otherwise.

### Examples

Example #1 tidyNode::hasChildren() example

    <?php$html = <<< HTML<html><head><?php echo '<title>title</title>'; ?><#   /* JSTE code */  alert('Hello World'); #> </head> <body> Hello World </body></html>HTML;$tidy = tidy_parse_string($html);$num = 0;$node = $tidy->html()->child[0]->child[0];var_dump($node->getparent()->name);?>

The above example will output:

    string(4) "head"